aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-x.gitattributes3
-rwxr-xr-xci/common/submit_coverage.sh56
-rw-r--r--ci/common/test.sh9
-rw-r--r--codecov.yml27
4 files changed, 0 insertions, 95 deletions
diff --git a/.gitattributes b/.gitattributes
index 1770c9b164..a1aa7e155f 100755
--- a/.gitattributes
+++ b/.gitattributes
@@ -11,6 +11,3 @@ src/unicode/** linguist-vendored
src/nvim/testdir/test42.in diff
.github/ export-ignore
-.travis.yml export-ignore
-codecov.yml export-ignore
-.builds/ export-ignore
diff --git a/ci/common/submit_coverage.sh b/ci/common/submit_coverage.sh
deleted file mode 100755
index f781ca8e5e..0000000000
--- a/ci/common/submit_coverage.sh
+++ /dev/null
@@ -1,56 +0,0 @@
-#!/bin/sh
-# Collect and submit coverage reports.
-#
-# Args:
-# $1: Flag(s) for codecov, separated by comma.
-
-set -e
-
-# Change to grandparent dir (POSIXly).
-CDPATH='' cd -P -- "$(dirname -- "$0")/../.." || exit
-
-echo "=== running submit_coverage in $PWD: $* ==="
-"$GCOV" --version
-
-# Download/install codecov-bash and gcovr once.
-codecov_sh="${TEMP:-/tmp}/codecov.bash"
-if ! [ -f "$codecov_sh" ]; then
- curl --retry 5 --silent --fail -o "$codecov_sh" https://codecov.io/bash
- chmod +x "$codecov_sh"
-
- python -m pip install --quiet --user gcovr
-fi
-
-(
- cd build
- python -m gcovr --branches --exclude-unreachable-branches --print-summary -j 2 --exclude '.*/auto/.*' --root .. --delete -o ../coverage.xml --xml
-)
-
-# Upload to codecov.
-# -X gcov: disable gcov, done manually above.
-# -X fix: disable fixing of reports (not necessary, rather slow)
-# -Z: exit non-zero on failure
-# -F: flag(s)
-# NOTE: ignoring flags for now, since this causes timeouts on codecov.io then,
-# which they know about for about a year already...
-# Flags must match pattern ^[\w\,]+$ ("," as separator).
-codecov_flags="$(uname -s),${1}"
-codecov_flags=$(echo "$codecov_flags" | sed 's/[^,_a-zA-Z0-9]/_/g')
-if ! "$codecov_sh" -f coverage.xml -X gcov -X fix -Z -F "${codecov_flags}"; then
- echo "codecov upload failed."
-fi
-
-# Cleanup always, especially collected data.
-find . \( -name '*.gcov' -o -name '*.gcda' \) -ls -delete | wc -l
-rm -f coverage.xml
-
-# Upload Lua coverage (generated manually on AppVeyor/Windows).
-if [ "$USE_LUACOV" = 1 ] && [ "$1" != "oldtest" ]; then
- if [ -x "${DEPS_BUILD_DIR}/usr/bin/luacov" ]; then
- "${DEPS_BUILD_DIR}/usr/bin/luacov"
- fi
- if ! "$codecov_sh" -f luacov.report.out -X gcov -X fix -Z -F "lua,${codecov_flags}"; then
- echo "codecov upload failed."
- fi
- rm luacov.stats.out
-fi
diff --git a/ci/common/test.sh b/ci/common/test.sh
index f6e20d8f59..5ef7dc4024 100644
--- a/ci/common/test.sh
+++ b/ci/common/test.sh
@@ -9,12 +9,6 @@ fail() {
exit 1
}
-submit_coverage() {
- if [ -n "${GCOV}" ]; then
- "${CI_DIR}/common/submit_coverage.sh" "$@" || echo 'codecov upload failed.'
- fi
-}
-
print_core() {
local app="$1"
local core="$2"
@@ -101,7 +95,6 @@ unittests() {(
if ! ninja -C "${BUILD_DIR}" unittest; then
fail 'unittests' 'Unit tests failed'
fi
- submit_coverage unittest
check_core_dumps "$(command -v luajit)"
)}
@@ -110,7 +103,6 @@ functionaltests() {(
if ! ninja -C "${BUILD_DIR}" "${FUNCTIONALTEST}"; then
fail 'functionaltests' 'Functional tests failed'
fi
- submit_coverage functionaltest
check_sanitizer "${LOG_DIR}"
valgrind_check "${LOG_DIR}"
check_core_dumps
@@ -122,7 +114,6 @@ oldtests() {(
reset
fail 'oldtests' 'Legacy tests failed'
fi
- submit_coverage oldtest
check_sanitizer "${LOG_DIR}"
valgrind_check "${LOG_DIR}"
check_core_dumps
diff --git a/codecov.yml b/codecov.yml
deleted file mode 100644
index a83fd916ee..0000000000
--- a/codecov.yml
+++ /dev/null
@@ -1,27 +0,0 @@
-# To validate:
-# cat codecov.yml | curl --data-binary @- https://codecov.io/validate
-
-codecov:
- notify:
- require_ci_to_pass: no
- ci:
- - appveyor
- - travis
- - !neovim-qb.szakmeister.net
-
-coverage:
- precision: 2
- round: down
- range: "70...100"
-
- status:
- project:
- default:
- threshold: 1
- patch:
- default:
- threshold: 1
- only_pulls: true
- changes: no
-
-comment: off